org.springframework.cloud.dataflow.server.controller

## Class AboutController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.AboutController

-     @RestController
       @RequestMapping(value="/about")
       @ExposesResourceFor(value=AboutResource.class)
       @EnableConfigurationProperties(value=DataflowMetricsProperties.class)
      public class AboutController
      extends Object

  REST controller that provides meta information regarding the dataflow server and its deployers.
  Author:
    Gunnar Hillert, Glenn Renfro, Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AboutController(StreamDeployer streamDeployer, LauncherRepository launcherRepository, FeaturesProperties featuresProperties, VersionInfoProperties versionInfoProperties, org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean, DataflowMetricsProperties monitoringProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AboutResource` | `getAboutResource()` Return meta information about the dataflow server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AboutController

          public AboutController(StreamDeployer streamDeployer,
                                 LauncherRepository launcherRepository,
                                 FeaturesProperties featuresProperties,
                                 VersionInfoProperties versionInfoProperties,
                                 org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean,
                                 DataflowMetricsProperties monitoringProperties)

  - ### Method Detail

    - #### getAboutResource

          @RequestMapping(method=GET)
           @ResponseStatus(value=OK)
          public AboutResource getAboutResource()

      Return meta information about the dataflow server.
      Returns:
        Detailed information about the enabled features, versions of implementation libraries, and security configuration

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.